package com.shkj.quartz.task;

import com.shkj.wms.service.IBusinEnptyContainerService;
import com.shkj.wms.third.rcs.RCSUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 定时任务调度
 *
 * @author lch
 */
@Component("thirdTask")
public class ThirdTask {

    @Autowired
    IBusinEnptyContainerService iBusinEnptyContainerService;

    @Autowired
    RCSUtil rcsUtil;

    //空治具出库流程
    public  void doEnptyContainerTask(){
        iBusinEnptyContainerService.emptyContainerFromWare();
    }

    public void doAGVState(){
        rcsUtil.doAgvStates("1");
    }
}
